[Python-Dev] A word of warning against using sqlite3 from MacPorts

Andrew MacIntyre andymac at bullseye.apana.org.au
Sun Feb 3 10:51:13 CET 2008

Brett Cannon wrote:


> Noticing that sqlite 3.5.5 was recently available I had MacPorts
> update. Unfortunately this didn't fix things. I narrowed things down
> to running test_ctypes before test_sqlite as the trigger. In order to
> debug I wanted to use a version of sqlite that I had compiled.


> So I suspect that sqlite3 from MacPorts is built in such a way as to
> cause issues. This on Leopard which might also somehow influence
> things.

In a separate context, I've seen a reference to there being build related
issues with sqlite 3.5.5 on several platforms (I don't know which) which
have resulted in 3.5.6 being scheduled for release in fairly short order
(probably in the next few days).

Andrew I MacIntyre                     "These thoughts are mine alone..."
E-mail: andymac at bullseye.apana.org.au  (pref) | Snail: PO Box 370
        andymac at pcug.org.au             (alt) |        Belconnen ACT 2616
Web:    http://www.andymac.org/               |        Australia

More information about the Python-Dev mailing list